# 1.2.111
- 修正isSso导致无法转到登录页问题
- 优化在isSso为true的时候,后台超时不弹出登陆页面.

# 1.2.109
- 修正全局错误的顶层样式表

# 1.2.107
- 修正参数管理删除后一直转圈圈的bug
- 增加index.js导出UsualConfig用于配置通用组件配置,比如日期选择框的快捷选择

# 1.2.106
- 增加isSSO配置项,使用统一身份认证, 设置为true后没有修改密码按钮
- 增加logoutUrl配置项设置登出后跳转地址

# 1.2.105
- 修正字典管理文本显示错误问题.

# 1.2.99
- loginVideoLazy默认改为false,即默认ajax下载显示进度条的模式
- 视频默认格式改为webm格式

# 1.2.99
- 增加首页视频加载时进度条

# 1.2.97
- 修改页面加载时背景显示首页内容的问题

# 1.2.97
- 修正curdPanel调用API错误.

# 1.2.95
- 首页动画增加配置参数loginVideoLazy,默认true,false时使用ajax加载

# 1.2.91
- 将登录页的视频和图片地址提取参数,可通过config动态配置

# 1.2.87
- CurdPanel增加copy功能,支持列表追加复制按钮

# 1.2.85
- 用户退出接口移出与登录放到一个Controller, 防止退出操作被拦截

# 1.2.84
- 登录页改为动画背景

# 1.2.74
- CurdPanel 增加full-height属性,用于沾满窗口
- CurdPanel 增加table-action-width属性,用于设置操作列宽度

# 1.2.71
- 修正万能查询生成菜单被修正后失效的问题
- 菜单增加permComp属性,redonly表示系统内置菜单,用户无法编辑

# 1.2.70
- 优化万能查询

# 1.2.69
- 调整菜单宽度

# 1.2.68
- 调整菜单宽度

# 1.2.67
- 禁止关闭重新登录框，用户退出登录关闭tab

# 1.2.65
- 修正登录页样式文字图标重叠与按钮宽度

# 1.2.64
- 统一页面表格高度及图表颜色
- 修正跳转外链
- 修正定时任务表达式星期的排序问题

# 1.2.63
- 修改定时任务管理模块bug:启动任务后,数据不刷新,调整该模块编辑时布局

# 1.2.62
- 增加点击导航跳转外链

# 1.2.45
- 修正ajax响应无法正确判断响应值的问题
- 修正ajax缓存功能失效
- 修正字典项目无法自动更新问题
- 优化字典页面显示效果
- 修正导出列表字典项问题

# 1.2.39
- 优化ajax库
- 优化ajax缓存
- 修正国际化BUG
# 1.2.38
- 修正无法重新登录
- 修正语言默认状态错误
- 增加配置项`config.lang`配置默认语言
- 增加配置项`config.allowI10n`是否允许国际化
- 删除垃圾代码
- 优化登录逻辑

# 1.2.34
- 修复任务管理页保存刷新的问题，修改dialog宽度80%，个别小表单自定义

# 1.2.31
- 调整样式

# 1.2.28
- 替换按钮样式. 新增操作历史组件

# 1.2.22
- 任务管理增加配置提示，稍修边幅

# 1.2.20
- 19版本忘记编译就发布了,重发一遍

# 1.2.19
- 添加通知中心管理模块

# 1.2.14
- CURD组件增加保存后同步后台最新数据

# 1.2.13
- 修正PageTable类lastParam属性无效问题.

# 1.2.5
- CURD组件的编辑对话框增加按钮slot

# 1.2.4
- 修复CURD组件不能自动加载问题

# 1.2.2
- 修复CURD组件保存后不能关闭问题.

# 1.2.1
- 优化日期下拉组件样式.

# 1.2.0
- 升级elementUI 为 2.10.0 版本 

# 1.1.1
- 修正代码整洁度
- 修正用户模块挂在页面错误.

## 1.1.0
- 增加 `CurdPanel` 组件,支持快速增删改查模板免去繁琐增删改查重复代码.

## 1.0.2
- 升级elementUI 为 2.9.0 版本 

## 1.0.1
- ^修正登录权限问题
- +增加needLogin配置选项,是否需要校验登录权限

## 1.0.0
- 完整发布 

## 目录结构

- api 旧的遗留的包,用来存放对服务器的 http 请求
- assets 开发代码静态资源,存放图片,json 等
- common 公共组件,可选
- libs 程序开发使用的工具包
- mock 写原型需要的后台数据模拟配置
- module 系统模块,业务逻辑代码
- plugin 自定义插件,必须引入,包含 panel pagetable 等
- resources 配置文件,国际化文件
- router vue-router 组件
- service 前端的'后台'服务,
- styles 样式表
- tab 模块,与 module 配合
- views 页面,与 router 配合
- vuex 状态机

## 合并 route

1. 自定义 route

```

```

## 命名规范

1. 组件使用功能分组+修饰的方式命名,例如 ConnHttp,ConnIbmmq,Conn 表示是一个连接配置组件,Http 表示是组件中的一种(Http)
2. 正确示例: ConnHTTP ConnIBMMQ UserMgr UserEditor
3. 错误示例: HttpConn IbmmqConn

## 引入路径

1. 使用 @符 表示从 src 目录引入,比如 '@/common/Uploader.vue'
2. 所有 vue 文件引入要带有 vue 后缀
3. 所有 Api 文件跟进模块放到自己模块下,命名[模块+Api.js]

## 开发可用组件

- <Panel> 一个面板组件 buttons
- ExportCtrl 导出按钮组
- SysCode
- TabView
- Selector
